# HG changeset patch
# Node ID 335f1ec970f4
# Parent  04a97e6730d2
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -35,7 +35,6 @@
 	'pidgincommands.c',
 	'pidgincontactinfomenu.c',
 	'pidgincontactlist.c',
-	'pidgincontactlistwindow.c',
 	'pidginconversation.c',
 	'pidgindebug.c',
 	'pidgindisplayitem.c',
@@ -95,7 +94,6 @@
 	'pidgincolor.h',
 	'pidgincontactinfomenu.h',
 	'pidgincontactlist.h',
-	'pidgincontactlistwindow.h',
 	'pidginconversation.h',
 	'pidgincore.h',
 	'pidgindisplayitem.h',
diff --git a/pidgin/pidgincontactlistwindow.h b/pidgin/pidgincontactlistwindow.h
deleted file mode 100644
--- a/pidgin/pidgincontactlistwindow.h
+++ /dev/null
@@ -1,81 +0,0 @@
-/*
- * Pidgin - Internet Messenger
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_CONTACT_LIST_WINDOW_H
-#define PIDGIN_CONTACT_LIST_WINDOW_H
-
-#include <glib.h>
-
-#include <gtk/gtk.h>
-
-#include "pidginversion.h"
-
-G_BEGIN_DECLS
-
-
-/**
- * PidginContactListWindow:
- *
- * #PidginContactListWindow is a transitional widget as we slowly migrate it
- * into the conversation window to make a single window application.
- *
- * Since: 3.0.0
- */
-
-#define PIDGIN_TYPE_CONTACT_LIST_WINDOW (pidgin_contact_list_window_get_type())
-
-PIDGIN_AVAILABLE_IN_3_0
-G_DECLARE_FINAL_TYPE(PidginContactListWindow, pidgin_contact_list_window,
-                     PIDGIN, CONTACT_LIST_WINDOW, GtkApplicationWindow)
-
-/**
- * pidgin_contact_list_window_new:
- *
- * Creates a new #PidginContactListWindow instance.
- *
- * Returns: (transfer full): The new #PidginContactListWindow instance.
- *
- * Since: 3.0.0
- */
-PIDGIN_AVAILABLE_IN_3_0
-GtkWidget *pidgin_contact_list_window_new(void);
-
-/**
- * pidgin_contact_list_window_get_vbox:
- * @window: The #PidginContactListWindow instance.
- *
- * Gets the main vbox for @contact_list.
- *
- * Returns: (transfer none): The main vbox of @window.
- *
- * Since: 3.0.0
- */
-PIDGIN_AVAILABLE_IN_3_0
-GtkWidget *pidgin_contact_list_window_get_vbox(PidginContactListWindow *window);
-
-G_END_DECLS
-
-#endif /* PIDGIN_CONTACT_LIST_WINDOW_H */
diff --git a/pidgin/pidgincontactlistwindow.c b/pidgin/pidgincontactlistwindow.c
deleted file mode 100644
--- a/pidgin/pidgincontactlistwindow.c
+++ /dev/null
@@ -1,82 +0,0 @@
-/*
- * Pidgin - Internet Messenger
- * Copyright (C) Pidgin Developers <devel@pidgin.im>
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include "pidgincontactlistwindow.h"
-
-#include "pidginactiongroup.h"
-
-struct _PidginContactListWindow {
-	GtkApplicationWindow parent;
-
-	GtkWidget *vbox;
-};
-
-G_DEFINE_TYPE(PidginContactListWindow, pidgin_contact_list_window,
-              GTK_TYPE_APPLICATION_WINDOW)
-
-/******************************************************************************
- * GObject Implementation
- *****************************************************************************/
-static void
-pidgin_contact_list_window_init(PidginContactListWindow *contact_list) {
-	GSimpleActionGroup *group = NULL;
-
-	gtk_widget_init_template(GTK_WIDGET(contact_list));
-
-	gtk_window_set_application(GTK_WINDOW(contact_list),
-	                           GTK_APPLICATION(g_application_get_default()));
-
-	group = pidgin_action_group_new();
-	gtk_widget_insert_action_group(GTK_WIDGET(contact_list), "blist",
-	                               G_ACTION_GROUP(group));
-}
-
-static void
-pidgin_contact_list_window_class_init(PidginContactListWindowClass *klass) {
-	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
-
-	gtk_widget_class_set_template_from_resource(
-	    widget_class,
-	    "/im/pidgin/Pidgin3/BuddyList/window.ui"
-	);
-
-	gtk_widget_class_bind_template_child(widget_class, PidginContactListWindow,
-	                                     vbox);
-}
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-GtkWidget *
-pidgin_contact_list_window_new(void) {
-	return g_object_new(
-		PIDGIN_TYPE_CONTACT_LIST_WINDOW,
-		"show-menubar", TRUE,
-		NULL);
-}
-
-GtkWidget *
-pidgin_contact_list_window_get_vbox(PidginContactListWindow *window) {
-	g_return_val_if_fail(PIDGIN_IS_CONTACT_LIST_WINDOW(window), NULL);
-
-	return window->vbox;
-}
diff --git a/pidgin/resources/BuddyList/window.ui b/pidgin/resources/BuddyList/window.ui
deleted file mode 100644
--- a/pidgin/resources/BuddyList/window.ui
+++ /dev/null
@@ -1,38 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- Generated with glade 3.38.2 
-
-Pidgin - Internet Messenger
-Copyright (C) Pidgin Developers <devel@pidgin.im>
-
-This program is free software; you can redistribute it and/or
-modify it under the terms of the GNU General Public License
-as published by the Free Software Foundation; either version 2
-of the License, or (at your option) any later version.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-
--->
-<interface>
-  <requires lib="gtk" version="4.0"/>
-  <requires lib="pidgin" version="3.0"/>
-  <!-- interface-license-type gplv2 -->
-  <!-- interface-name Pidgin -->
-  <!-- interface-description Internet Messenger -->
-  <!-- interface-copyright Pidgin Developers <devel@pidgin.im> -->
-  <template class="PidginContactListWindow" parent="GtkApplicationWindow">
-    <property name="title" translatable="1">Contact List</property>
-    <property name="show-menubar">1</property>
-    <child>
-      <object class="GtkBox" id="vbox">
-        <property name="orientation">vertical</property>
-      </object>
-    </child>
-  </template>
-</interface>
diff --git a/pidgin/resources/pidgin.gresource.xml b/pidgin/resources/pidgin.gresource.xml
--- a/pidgin/resources/pidgin.gresource.xml
+++ b/pidgin/resources/pidgin.gresource.xml
@@ -9,7 +9,6 @@
     <file compressed="true" preprocess="xml-stripblanks">Accounts/manager.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Accounts/manager-row.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">avatar.ui</file>
-    <file compressed="true" preprocess="xml-stripblanks">BuddyList/window.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Conversations/conversation.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Conversations/infopane.ui</file>
     <file compressed="true" preprocess="xml-stripblanks">Conversations/invite_dialog.ui</file>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -261,7 +261,6 @@
 pidgin/pidgincolor.c
 pidgin/pidgincommands.c
 pidgin/pidgincontactinfomenu.c
-pidgin/pidgincontactlistwindow.c
 pidgin/pidgindebug.c
 pidgin/pidgindisplaywindow.c
 pidgin/pidginiconname.c
@@ -296,7 +295,6 @@
 pidgin/resources/Accounts/manager.ui
 pidgin/resources/Accounts/manager-row.ui
 pidgin/resources/avatar.ui
-pidgin/resources/BuddyList/window.ui
 pidgin/resources/Conversations/infopane.ui
 pidgin/resources/Conversations/invite_dialog.ui
 pidgin/resources/Debug/debug.ui
